/*
 * $Header: /home/jerenkrantz/tmp/commons/commons-convert/cvs/home/cvs/jakarta-commons//resources/src/java/org/apache/commons/resources/ResourcesException.java,v 1.9 2004/03/27 21:34:10 dgraham Exp $
 * $Revision: 1.9 $
 * $Date: 2004-03-27 16:34:10 -0500 (Sat, 27 Mar 2004) $
 *
 * ====================================================================
 *
 *  Copyright 2003-2004 The Apache Software Foundation
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package org.apache.commons.resources;

import java.io.Serializable;

/**
 * <p>This class is a general purpose wrapper exception for problems
 * pertaining to Resources.</p>
 */
public class ResourcesException extends RuntimeException implements Serializable {

    protected String message = "";

    protected Throwable rootCause = null;

    public ResourcesException(String message) {
        this(message, null);
    }

    public ResourcesException(Throwable rootCause) {
        this.message = rootCause.getMessage();
        this.rootCause = rootCause;
    }

    public ResourcesException(String message, Throwable rootCause) {
        this.message = message;
        this.rootCause = rootCause;
    }

    public String getMessage() {
        return message;
    }

    public Throwable getRootCause() {
        return rootCause;
    }
}
